# svn_client_info2_t Struct Reference
[Show repository information about a working copy.]

A structure which describes various system-generated metadata about a working-copy path or URL. More...

`#include <svn_client.h>`

## Data Fields
const char * | URL
| Where the item lives in the repository.
svn_revnum_t | rev
| The revision of the object.
const char * | repos_root_URL
| The root URL of the repository.
const char * | repos_UUID
| The repository's UUID.
svn_node_kind_t | kind
| The node's kind.
svn_filesize_t | size
| The size of the file in the repository (untranslated, e.g.
svn_revnum_t | last_changed_rev
| The last revision in which this object changed.
apr_time_t | last_changed_date
| The date of the last_changed_rev.
const char * | last_changed_author
| The author of the last_changed_rev.
const svn_lock_t * | lock
| An exclusive lock, if present.
const svn_wc_info_t * | wc_info
| Possible information about the working copy, NULL if not valid.

## Detailed Description

A structure which describes various system-generated metadata about a working-copy path or URL.

Note:
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since:
  New in 1.7.

Definition at line 5356 of file svn_client.h.

## Field Documentation

svn_node_kind_t svn_client_info2_t::kind

The node's kind.

Definition at line 5373 of file svn_client.h.

const char* svn_client_info2_t::last_changed_author

The author of the last_changed_rev.

Definition at line 5388 of file svn_client.h.

apr_time_t svn_client_info2_t::last_changed_date

The date of the last_changed_rev.

Definition at line 5385 of file svn_client.h.

svn_revnum_t svn_client_info2_t::last_changed_rev

The last revision in which this object changed.

Definition at line 5382 of file svn_client.h.

const svn_lock_t* svn_client_info2_t::lock

An exclusive lock, if present.

Could be either local or remote.

Definition at line 5391 of file svn_client.h.

const char* svn_client_info2_t::repos_root_URL

The root URL of the repository.

Definition at line 5367 of file svn_client.h.

const char* svn_client_info2_t::repos_UUID

The repository's UUID.

Definition at line 5370 of file svn_client.h.

svn_revnum_t svn_client_info2_t::rev

The revision of the object.

If the target is a working-copy path, then this is its current working revnum. If the target is a URL, then this is the repos revision that it lives in.

Definition at line 5364 of file svn_client.h.

svn_filesize_t svn_client_info2_t::size

The size of the file in the repository (untranslated, e.g.

without adjustment of line endings and keyword expansion). Only applicable for file -- not directory -- URLs. For working copy paths, size will be SVN_INVALID_FILESIZE.

Definition at line 5379 of file svn_client.h.

const char* svn_client_info2_t::URL

Where the item lives in the repository.

Definition at line 5359 of file svn_client.h.

const svn_wc_info_t* svn_client_info2_t::wc_info

Possible information about the working copy, NULL if not valid.

Definition at line 5394 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines